Bug 47263 - initscripts 5-96 /ets/sysconfig/network-scripts/ifup-ppp dies if /usr/sbin/adsl-start missing
initscripts 5-96 /ets/sysconfig/network-scripts/ifup-ppp dies if /usr/sbin/ad...
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts (Show other bugs)
1.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-04 04:43 EDT by david avery
Modified: 2014-03-16 22:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-04 04:43:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description david avery 2001-07-04 04:43:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i686)

Description of problem:
using initscripts-5.96-1.i386.rpm  from rawhide - ifup-ppp fails with
"error 1"

/var/logs/messages shows:

ifup-ppp: /usr/sbin/adsl-start does not exist or is not executable for ppp0

ifup-ppp line 50+ read:
# check that xDSL connection
if [ "$TYPE" = "xDSL" -a -x /usr/sbin/adsl-start ] ; then
    adsl-start "$ETH" "$USER" /etc/sysconfig/network-scripts/$CONFIG
    exit $?
else
    logger -p daemon.info -t ifup-ppp \
        $"/usr/sbin/adsl-start does not exist or is not executable for
${DEVICE}"
    exit 1
fi

the else case will execute in the case of not xDSL which is incorrect 

this shoudl be:

# check that xDSL connection
if [ "$TYPE" = "xDSL"] ; then
if [-x /usr/sbin/adsl-start ] ; then
    adsl-start "$ETH" "$USER" /etc/sysconfig/network-scripts/$CONFIG
    exit $?
else
    logger -p daemon.info -t ifup-ppp \
        $"/usr/sbin/adsl-start does not exist or is not executable for
${DEVICE}"
    exit 1
fi
fi



How reproducible:
Always

Steps to Reproduce:
1.install initscripts-5.96 on a system without adsl support
2.as root do: ifup-ppp
3.
	

Additional info:
Comment 1 Bill Nottingham 2001-07-05 23:24:39 EDT
will be fixed in 5.99-1, thanks!

Note You need to log in before you can comment on or make changes to this bug.